[Numpy-discussion] Wanted: new release manager for 1.5 and above

Charles R Harris charlesr.harris@gmail....
Thu Jan 14 23:36:31 CST 2010


On Wed, Jan 13, 2010 at 11:34 PM, David Cournapeau <david@silveregg.co.jp>wrote:

> Charles R Harris wrote:
>
> >
> >
> > What is the setup one needs to build the installers? It might be well to
> > document that, the dependencies, and the process.
>
> Right. The top script is:
> http://projects.scipy.org/numpy/browser/trunk/release.sh
>
> the bulk of the work is in :
> http://projects.scipy.org/numpy/browser/trunk/pavement.py
>
> which describes what is needed to build installers. On mac os x, the
> release script may be used as is to build every installer + the release
> notes.
>
>
Umm, I think it needs some more explanation. There are virtual environments,
c compilers, wine, paver, etc. All/ of these might require some
installation, version numbers, and setup. This might all seem clear to you,
but a newbie coming on to build the packages probably needs more
instruction. What sort of setup do you run, what hardware, etc. If code
needs to be compiled for the PCC I assume the compiler needs to be to do
that. What about c libraries (for numpy) and c++ libraries (for scipy)? Does
one need a MAC? etc. I'm probably just ignorant, but I think a careful step
by step procedure would be helpful.

Chuck
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20100114/9f0dae9b/attachment.html 


More information about the NumPy-Discussion mailing list